Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface DistributedManager

All Known Implementing Classes:
  BackupManager

    public interface DistributedManager

Interface implemented by session managers that do not keep a complete copy of all sessions on the local node but do know where every session is. The BackupManager is an example of such a Manager. Sessions can be primary (master copy on this node), backup (backup copy on this node) or proxy (only the session ID on this node). The identity of the primary and backup nodes are known for all sessions, including proxy sessions.

Method Summary
`int` | `getActiveSessionsFull()` Returns the total session count for primary, backup and proxy.
`Set<String>` | `getSessionIdsFull()` Returns the list of all sessions IDS (primary, backup and proxy).

Method Detail

### getActiveSessionsFull

    int getActiveSessionsFull()

  Returns the total session count for primary, backup and proxy.

  Returns:
    The total session count across the cluster.

### getSessionIdsFull

    Set<String> getSessionIdsFull()

  Returns the list of all sessions IDS (primary, backup and proxy).

  Returns:
    The complete set of sessions IDs across the cluster.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.